FactoryBot.define do
  factory :address, class: SBF::Client::Address do
    skip_create

    initialize_with do
      new(attributes)
    end

    type { SBF::Client::Address::Type::HOME }
    city { Faker::Address.ascii_city }
    state { 'NE' }
    country { 'US' }
  end
end
