FactoryBot.define do
  factory :donor, class: SBF::Client::Donor do
    skip_create

    initialize_with do
      new(attributes)
    end

    sequence(:donor_name) { |n| "donor name #{n}" }
    amount { 100 }
    donation_created_at { DateTime.now.to_s }
  end
end
