require_relative '../lib/helpers'

FactoryBot.define do
  factory :event_contacts, class: SBF::Client::Event::Contacts do
    skip_create

    initialize_with do
      new(attributes)
    end

    after :build do |contacts, evaluator|
      contacts.primary = build(:event_contact) if unpopulated?(evaluator, :primary)
      contacts.secondary = build(:event_contact) if unpopulated?(evaluator, :secondary)
    end
  end
end
