require_relative '../../lib/helpers'

FactoryBot.define do
  factory :event_contact, class: SBF::Client::Event::Contacts::Contact do
    skip_create

    initialize_with do
      new(attributes)
    end

    after :build do |contact, evaluator|
      contact.name_pieces = build(:event_contact_name_pieces) if unpopulated?(evaluator, :name_pieces)
      contact.phone = build(:phone) if unpopulated?(evaluator, :phone)
      contact.email_address = build(:email_address) if unpopulated?(evaluator, :email_address)
    end
  end
end
