require_relative '../../lib/helpers'

FactoryBot.define do
  factory :event_venue_location, class: SBF::Client::Event::Venue::Location do
    skip_create

    initialize_with do
      new(attributes)
    end

    type { SBF::Client::Event::Venue::Location::Type::OTHER }
    name { Faker::University.name }

    after :build do |location, evaluator|
      location.address = build(:address) if unpopulated?(evaluator, :address)
    end
  end
end
