require 'faker'

module Faker
  class Name < Base
    class << self
      def ascii_last_name
        loop do
          name = last_name
          return name if /^[a-zA-Z]*$/.match?(name)
        end
      end
    end
  end
end

module Faker
  class Address
    class << self
      def ascii_city
        loop do
          name = city
          return name if /^[a-zA-Z]*$/.match?(name)
        end
      end
    end
  end
end
