require_relative 'lib/helpers'

FactoryBot.define do
  factory :location, class: SBF::Client::Location do
    skip_create

    initialize_with do
      new(attributes)
    end

    sequence(:name) { |n| "Location #{n}" }

    after :build do |location, evaluator|
      location.address = build(:address) if unpopulated?(evaluator, :address)
    end
  end
end
