require 'faker'

FactoryBot.define do
  factory :milestone, class: SBF::Client::Milestone do
    skip_create

    initialize_with do
      new(attributes)
    end

    description { Faker::Games::Pokemon.move }
    amount { rand(1..10_000) }
    icon { rand(1..10) }
  end
end
