FactoryBot.define do
  factory :organization_email_addresses, class: SBF::Client::Organization::EmailAddresses do
    skip_create

    initialize_with do
      new(attributes)
    end

    after :build do |email_addresses|
      email_addresses.primary = build(:email_address)
      email_addresses.secondary = build(:email_address)
    end
  end
end
