FactoryBot.define do
  factory :participant_photos, class: SBF::Client::Participant::Photos do
    skip_create

    initialize_with do
      new(attributes)
    end

    add_attribute(:before) { 'before.jpg' }
    add_attribute(:after) { 'after.jpg' }
    avatar { 'avatar.jpg' }
    default { 'default.jpg' }
  end
end
