FactoryBot.define do
  factory :payment, class: SBF::Client::Payment do
    skip_create

    initialize_with do
      new(attributes)
    end
  end

  factory :subscription_credit_card_payment, class: SBF::Client::Payment::SubscriptionCreditCardDetails, parent: :payment do
    type { SBF::Client::Payment::Type::CREDIT_CARD }
  end
end
