FactoryBot.define do
  factory :policies, class: SBF::Client::Person::Policies do
    skip_create

    initialize_with do
      new(attributes)
    end

    is_photo_policy_accepted { Time.now.to_s }
    background_check_date { Time.now.to_s }
    background_check_url { 'http://example.com' }
  end
end
