require_relative 'lib/helpers'

FactoryBot.define do
  factory :venue, class: SBF::Client::Venue do
    skip_create

    initialize_with do
      new(attributes)
    end

    after :build do |venue, evaluator|
      venue.location = build(:location) if unpopulated?(evaluator, :location)
    end
  end
end
