FactoryBot.define do
  factory :event_coach_tracking, class: SBF::Client::Event::CoachTracking do
    skip_create

    initialize_with do
      new(attributes)
    end

    host_agreement_date { Time.now.to_s }
    activated_date { Time.now.to_s }

    after :build do |coach_tracking, _evaluator|
      coach_tracking.proceeds = build(:event_coach_tracking_proceeds)
      coach_tracking.coaching_interactions = build(:event_coach_tracking_coaching_interactions)
      coach_tracking.plaque = build(:event_coach_tracking_plaque)
    end
  end
end
