FactoryBot.define do
  factory :event_coach_tracking_plaque, class: SBF::Client::Event::CoachTracking::Plaque do
    skip_create

    initialize_with do
      new(attributes)
    end

    sequence(:issued_to) { |n| "Issued To: #{n}" }
    sent_date { Time.now.to_s }
  end
end
