require_relative '../lib/helpers'

FactoryBot.define do
  factory :event_venue, class: SBF::Client::Event::Venue do
    skip_create

    initialize_with do
      new(attributes)
    end

    after :build do |venue, evaluator|
      venue.location = build(:event_venue_location) if unpopulated?(evaluator, :location)
      venue.social = build(:event_venue_social) if unpopulated?(evaluator, :social)
    end
  end
end
