require_relative '../../lib/helpers'

FactoryBot.define do
  factory :event_venue_social, class: SBF::Client::Event::Venue::Social do
    skip_create

    initialize_with do
      new(attributes)
    end

    after :build do |social, evaluator|
      social.facebook_url = "https://www.facebook.com/#{Faker::Internet.slug}" if unpopulated?(evaluator, :facebook_url)
      social.twitter_name = "@#{Faker::Twitter.screen_name.slice(0, 14)}" if unpopulated?(evaluator, :twitter_name)
    end
  end
end
