require_relative 'lib/helpers'

FactoryBot.define do
  factory :fundraising_page, class: SBF::Client::FundraisingPage do
    skip_create

    initialize_with do
      new(attributes)
    end

    after :build do |fundraising_page, evaluator|
      fundraising_page.custom_url_segment = random(15) if unpopulated?(evaluator, :custom_url_segment)
    end
  end
end

FactoryBot.define do
  factory :web_page, class: SBF::Client::WebPage do
    skip_create

    initialize_with do
      new(attributes)
    end

    after :build do |web_page, evaluator|
      web_page.custom_url_segment = random(15) if unpopulated?(evaluator, :custom_url_segment)
    end
  end
end
