require_relative 'lib/helpers'

FactoryBot.define do
  factory :kid_honor, class: SBF::Client::KidHonor do
    to_create { |it| raise "Failed to create #{it.class}: #{it.errors.details}" unless it.save }

    initialize_with do
      new(attributes)
    end

    after :build do |kid_honor, evaluator|
      kid_honor.kid = build(:kid) if unpopulated?(evaluator, :kid)
      kid_honor.honorer = build(:fundraiser) if unpopulated?(evaluator, :honorer)
    end
  end
end
