require 'faker'

FactoryBot.define do
  factory :memorial_tribute, class: SBF::Client::Memorial::Tribute do
    skip_create

    initialize_with do
      new(attributes)
    end

    # birthday { Faker::Date.between(DateTime.now - 16, DateTime.now - 4).to_s }
    # date_of_passing { Faker::Date.between(birthday, DateTime.now).to_s }
    # name { "#{Faker::Name.first_name}  #{Faker::Name.ascii_last_name}" }

    birthday { Time.now.to_s }
    date_of_passing { Time.now.to_s }
    sequence(:name) { |n| "Name #{n}" }
  end
end
