FactoryBot.define do
  factory :name_pieces, class: SBF::Client::NamePieces do
    skip_create

    initialize_with do
      new(attributes)
    end

    first_name { Faker::Name.first_name }
    last_name { Faker::Name.ascii_last_name }
    middle_initial { Faker::Name.middle_name.slice(0, 1) }
  end

  factory :event_contact_name_pieces, class: SBF::Client::Event::Contacts::NamePieces do
    skip_create

    initialize_with do
      new(attributes)
    end

    first_name { Faker::Name.first_name }
    last_name { Faker::Name.ascii_last_name }
  end
end
