FactoryBot.define do
  factory :newsletter_recipient, class: SBF::Client::NewsletterRecipient do
    skip_create

    initialize_with do
      new(attributes)
    end

    email_address { Faker::Internet.email }
    first_name { Faker::Name.first_name }
    last_name { Faker::Name.ascii_last_name }
  end
end
