require_relative '../lib/helpers'

FactoryBot.define do
  factory :participant_rankings, class: SBF::Client::Participant::Rankings do
    skip_create

    initialize_with do
      new(attributes)
    end

    after :build do |rankings, evaluator|
      rankings.send(:team=, build(:participant_rankings_ranking)) if unpopulated?(evaluator, :team)
      rankings.send(:event=, build(:participant_rankings_ranking)) if unpopulated?(evaluator, :event)
    end
  end
end
