require_relative '../lib/helpers'

FactoryBot.define do
  factory :person_addresses, class: SBF::Client::Person::Addresses do
    skip_create

    initialize_with do
      new(attributes)
    end

    after :build do |addresses, evaluator|
      addresses.primary = build(:address) if unpopulated?(evaluator, :primary)
      addresses.secondary = build(:address) if unpopulated?(evaluator, :secondary)
    end
  end
end
