require_relative 'lib/helpers'

FactoryBot.define do
  factory :researcher, class: SBF::Client::Grant::FullResearcher do
    to_create { |it| raise "Failed to create #{it.class}: #{it.errors.details}" unless it.save }

    initialize_with do
      new(attributes)
    end

    after :build do |researcher, evaluator|
      researcher.name_pieces = build(:name_pieces) if unpopulated?(evaluator, :name_pieces)
    end
  end
end
