FactoryBot.define do
  factory :search_event, class: SBF::Client::Search::Event do
    skip_create

    initialize_with do
      new(attributes)
    end

    sequence(:event_id) { |n| n + 10_000 }
    event_year { 2015 }
    event_title { 'My Event Title' }
    event_date { '2015-05-05' }
    total_donations { 12_345 }
    total_participants { 5 }
    total_shavees { rand(10) }
    address1 { '123 Main Street' }
    closed_roles { [] }
  end
end
