FactoryBot.define do
  factory :search_fundraiser, class: SBF::Client::Search::Fundraiser do
    skip_create

    initialize_with do
      new(attributes)
    end

    sequence(:fundraiser_id) { |n| n }
    sequence(:profile_id) { |n| n + 100 }
    sequence(:team_id) { |n| n + 1000 }
    sequence(:event_id) { |n| n + 10_000 }
    event_year { 2014 }
  end
end
