require_relative '../lib/helpers'

FactoryBot.define do
  factory :team_rankings, class: SBF::Client::Team::Rankings do
    skip_create

    initialize_with do
      new(attributes)
    end

    after :build do |rankings, evaluator|
      rankings.send(:event=, build(:team_rankings_ranking)) if unpopulated?(evaluator, :event)
    end
  end
end
