FactoryBot.define do
  factory :user, class: SBF::Client::User do
    to_create { |it| raise "Failed to create #{it.class}: #{it.errors.details}" unless it.save }

    initialize_with do
      new(attributes)
    end

    type { SBF::Client::User::ProviderType::SBF }
    access_scope { SBF::Client::User::AccessScope::MEMBER }
    username { random }
    password { 'Super123' }
  end
end
